# Uses of Interface
java.text.AttributedCharacterIterator

Packages that use AttributedCharacterIterator
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
java.awt.font
Provides classes and interface relating to fonts.
java.awt.im
Provides classes and interfaces for the input method framework.
java.awt.im.spi
Provides interfaces that enable the development of input methods that can be used with any Java runtime environment.
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of AttributedCharacterIterator in java.awt

Methods in java.awt with parameters of type AttributedCharacterIterator
Modifier and Type
Method
Description
`abstract void`
Graphics.`drawString(AttributedCharacterIterator iterator, int x, int y)`
Renders the text of the specified iterator applying its attributes in accordance with the specification of the `TextAttribute` class.
`abstract void`
Graphics2D.`drawString(AttributedCharacterIterator iterator, float x, float y)`
Renders the text of the specified iterator applying its attributes in accordance with the specification of the `TextAttribute` class.
`abstract void`
Graphics2D.`drawString(AttributedCharacterIterator iterator, int x, int y)`
Renders the text of the specified iterator applying its attributes in accordance with the specification of the `TextAttribute` class.

## Uses of AttributedCharacterIterator in java.awt.event

Methods in java.awt.event that return AttributedCharacterIterator
Modifier and Type
Method
Description
`AttributedCharacterIterator`
InputMethodEvent.`getText()`
Gets the combined committed and composed text.
Constructors in java.awt.event with parameters of type AttributedCharacterIterator
Modifier
Constructor
Description
``
`InputMethodEvent(Component source, int id, long when, AttributedCharacterIterator text, int committedCharacterCount, TextHitInfo caret, TextHitInfo visiblePosition)`
Constructs an `InputMethodEvent` with the specified source component, type, time, text, caret, and visiblePosition.
``
`InputMethodEvent(Component source, int id, AttributedCharacterIterator text, int committedCharacterCount, TextHitInfo caret, TextHitInfo visiblePosition)`
Constructs an `InputMethodEvent` with the specified source component, type, text, caret, and visiblePosition.

## Uses of AttributedCharacterIterator in java.awt.font

Methods in java.awt.font with parameters of type AttributedCharacterIterator
Modifier and Type
Method
Description
`void`
LineBreakMeasurer.`deleteChar(AttributedCharacterIterator newParagraph, int deletePos)`
Updates this `LineBreakMeasurer` after a single character is deleted from the text, and sets the current position to the beginning of the paragraph.
`void`
TextMeasurer.`deleteChar(AttributedCharacterIterator newParagraph, int deletePos)`
Updates the `TextMeasurer` after a single character has been deleted from the paragraph currently represented by this `TextMeasurer`.
`void`
LineBreakMeasurer.`insertChar(AttributedCharacterIterator newParagraph, int insertPos)`
Updates this `LineBreakMeasurer` after a single character is inserted into the text, and sets the current position to the beginning of the paragraph.
`void`
TextMeasurer.`insertChar(AttributedCharacterIterator newParagraph, int insertPos)`
Updates the `TextMeasurer` after a single character has been inserted into the paragraph currently represented by this `TextMeasurer`.
Constructors in java.awt.font with parameters of type AttributedCharacterIterator
Modifier
Constructor
Description
``
`LineBreakMeasurer(AttributedCharacterIterator text, FontRenderContext frc)`
Constructs a `LineBreakMeasurer` for the specified text.
``
`LineBreakMeasurer(AttributedCharacterIterator text, BreakIterator breakIter, FontRenderContext frc)`
Constructs a `LineBreakMeasurer` for the specified text.
``
`TextLayout(AttributedCharacterIterator text, FontRenderContext frc)`
Constructs a `TextLayout` from an iterator over styled text.
``
`TextMeasurer(AttributedCharacterIterator text, FontRenderContext frc)`
Constructs a `TextMeasurer` from the source text.

## Uses of AttributedCharacterIterator in java.awt.im

Methods in java.awt.im that return AttributedCharacterIterator
Modifier and Type
Method
Description
`AttributedCharacterIterator`
InputMethodRequests.`cancelLatestCommittedText(AttributedCharacterIterator.Attribute[] attributes)`
Gets the latest committed text from the text editing component and removes it from the component's text body.
`AttributedCharacterIterator`
InputMethodRequests.`getCommittedText(int beginIndex, int endIndex, AttributedCharacterIterator.Attribute[] attributes)`
Gets an iterator providing access to the entire text and attributes contained in the text editing component except for uncommitted text.
`AttributedCharacterIterator`
InputMethodRequests.`getSelectedText(AttributedCharacterIterator.Attribute[] attributes)`
Gets the currently selected text from the text editing component.

## Uses of AttributedCharacterIterator in java.awt.im.spi

Methods in java.awt.im.spi with parameters of type AttributedCharacterIterator
Modifier and Type
Method
Description
`void`
InputMethodContext.`dispatchInputMethodEvent(int id, AttributedCharacterIterator text, int committedCharacterCount, TextHitInfo caret, TextHitInfo visiblePosition)`
Creates an input method event from the arguments given and dispatches it to the client component.

## Uses of AttributedCharacterIterator in java.text

Methods in java.text that return AttributedCharacterIterator
Modifier and Type
Method
Description
`AttributedCharacterIterator`
CompactNumberFormat.`formatToCharacterIterator(Object obj)`
Formats an Object producing an `AttributedCharacterIterator`.
`AttributedCharacterIterator`
DecimalFormat.`formatToCharacterIterator(Object obj)`
Formats an Object producing an `AttributedCharacterIterator`.
`AttributedCharacterIterator`
Format.`formatToCharacterIterator(Object obj)`
Formats an Object producing an `AttributedCharacterIterator`.
`AttributedCharacterIterator`
MessageFormat.`formatToCharacterIterator(Object arguments)`
Formats an array of objects and inserts them into the `MessageFormat`'s pattern, producing an `AttributedCharacterIterator`.
`AttributedCharacterIterator`
SimpleDateFormat.`formatToCharacterIterator(Object obj)`
Formats an Object producing an `AttributedCharacterIterator`.
`AttributedCharacterIterator`
AttributedString.`getIterator()`
Creates an AttributedCharacterIterator instance that provides access to the entire contents of this string.
`AttributedCharacterIterator`
AttributedString.`getIterator(AttributedCharacterIterator.Attribute[] attributes)`
Creates an AttributedCharacterIterator instance that provides access to selected contents of this string.
`AttributedCharacterIterator`
AttributedString.`getIterator(AttributedCharacterIterator.Attribute[] attributes, int beginIndex, int endIndex)`
Creates an AttributedCharacterIterator instance that provides access to selected contents of this string.
Constructors in java.text with parameters of type AttributedCharacterIterator
Modifier
Constructor
Description
``
`AttributedString(AttributedCharacterIterator text)`
Constructs an AttributedString instance with the given attributed text represented by AttributedCharacterIterator.
``
`AttributedString(AttributedCharacterIterator text, int beginIndex, int endIndex)`
Constructs an AttributedString instance with the subrange of the given attributed text represented by AttributedCharacterIterator.
``
`AttributedString(AttributedCharacterIterator text, int beginIndex, int endIndex, AttributedCharacterIterator.Attribute[] attributes)`
Constructs an AttributedString instance with the subrange of the given attributed text represented by AttributedCharacterIterator.
``
`Bidi(AttributedCharacterIterator paragraph)`
Create Bidi from the given paragraph of text.

## Uses of AttributedCharacterIterator in javax.swing

Methods in javax.swing with parameters of type AttributedCharacterIterator
Modifier and Type
Method
Description
`void`
DebugGraphics.`drawString(AttributedCharacterIterator iterator, int x, int y)`
Overrides `Graphics.drawString`.